
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: cryptix-asn1: build without javadoc

The version of javadoc included in Fedora 8 doesn't like the javadoc
bits of the cryptix-asn1 package, and bombs out when trying to build
cryptix-asn1's javadoc target.  This hacky patch disables building
javadoc entirely for cryptix-asn1.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/cryptix-asn1.spec
===================================================================
--- SPECS.orig/cryptix-asn1.spec
+++ SPECS/cryptix-asn1.spec
@@ -41,7 +41,7 @@ Name:		cryptix-asn1
 #FIXME: We will have to tackle this obscene version number soon.
 #Perhaps this package will just die before then.
 Version:	20011119
-Release:	7jpp.2
+Release:	7jpp.2.fa1
 Epoch:		0
 Summary:	Cryptix ASN1 implementation
 License:	BSD style
@@ -79,7 +79,7 @@ cp %{SOURCE1} build.xml
 rm -fr $(find . -name "*.jar")
 
 %build
-ant clean jar javadoc
+ant clean jar
 
 %install
 # jars
@@ -87,8 +87,8 @@ install -d -m 755 $RPM_BUILD_ROOT%{_java
 install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
 (cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
 # javadoc
-install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
-cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
+#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
+#cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
 
 %if %{gcj_support}
 %{_bindir}/aot-compile-rpm
@@ -122,9 +122,9 @@ fi
 %attr(-,root,root) %{_libdir}/gcj/%{name}/cryptix-asn1-%{version}.jar.*
 %endif
 
-%files javadoc
-%defattr(-,root,root)
-%{_javadocdir}/%{name}-%{version}
+#%files javadoc
+#%defattr(-,root,root)
+#%{_javadocdir}/%{name}-%{version}
 
 %changelog
 * Fri Aug 11 2006 Vivek Lakshmanan <vivekl@redhat.com> 0:20011119-7jpp.2
